﻿<Graph ClassName="MonthlyForecast" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.IN;


namespace SF
{
    [Serializable]
    public class MonthlyForecast : IBqlTable
    {
        #region RefNbr
        [PXDBString(15, IsUnicode = true, InputMask = "", IsKey = true)]
        [PXDBDefault(typeof(SalesForecast.refNbr))]
        [PXUIField(DisplayName = "Ref Nbr")]
        public virtual string RefNbr { get; set; }
        public abstract class refNbr : PX.Data.BQL.BqlString.Field<refNbr> { }
        #endregion

        #region ForecastMonth
        [PXDBInt(IsKey = true)]
        [PXParent(typeof(Select<SalesForecastLine,
            Where<SalesForecastLine.inventoryID, Equal<Current<inventoryID>>,
                And<SalesForecastLine.refNbr, Equal<Current<refNbr>>>>>))]
        [PXIntList(
            new int[] { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 },
            new string[] { "January", "Febuary", "March", "April", "May", "June",
            "July", "August", "September", "October", "November", "December"})]
        [PXUIField(DisplayName = "Month")]
        public virtual int? ForecastMonth { get; set; }
        public abstract class forecastMonth : PX.Data.BQL.BqlInt.Field<forecastMonth> { }
        #endregion

        #region InventoryID
        // [PXDBInt(IsKey = true)]
        // [PXSelector(typeof(InventoryItem.inventoryID), typeof(InventoryItem.inventoryCD), typeof(InventoryItem.descr),
        //         SubstituteKey = typeof(InventoryItem.inventoryCD), DescriptionField = typeof(InventoryItem.descr))]
        [StockItem(IsKey = true)]
        [PXDBDefault(typeof(SalesForecastLine.inventoryID))]
        [PXUIField(DisplayName = "Inventory ID")]
        public virtual int? InventoryID { get; set; }
        public abstract class inventoryID : PX.Data.BQL.BqlInt.Field<inventoryID> { }
        #endregion

        #region StartDate
        [PXDBDate()]
        [PXUIField(DisplayName = "Start Date")]
        [PXDefault()]
        public virtual DateTime? StartDate { get; set; }
        public abstract class startDate : PX.Data.BQL.BqlDateTime.Field<startDate> { }
        #endregion

        #region EndDate
        [PXDBDate()]
        [PXUIField(DisplayName = "End Date")]
        [PXDefault()]
        public virtual DateTime? EndDate { get; set; }
        public abstract class endDate : PX.Data.BQL.BqlDateTime.Field<endDate> { }
        #endregion

        #region QtToProduce
        [PXDBDecimal()]
        [PXUIField(DisplayName = "Qty. To Produce (in UOM)")]
        public virtual Decimal? QtToProduce { get; set; }
        public abstract class qtToProduce : PX.Data.BQL.BqlDecimal.Field<qtToProduce> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        [PXUIField(DisplayName = "Created Date Time")]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        [PXUIField(DisplayName = "Last Modified Date Time")]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region RecordID
        [PXDBIdentity()]
        [PXUIField(DisplayName = "Record ID")]
        public virtual int? RecordID { get; set; }
        public abstract class recordID : PX.Data.BQL.BqlInt.Field<recordID> { }
        #endregion
    }
}]]></CDATA>
</Graph>